on setupPlayers thePlayers
  global player1, player2, pathDelimiter
  setAt(player1, 12, 3)
  setAt(player2, 12, 3)
  if getAt(thePlayers, 1) = 1 then
    setAt(player1, 16, item 1 of line 1 of field "vars")
    setAt(player1, 32, item 3 of line 1 of field "vars")
    setAt(player1, 25, item 4 of line 1 of field "vars")
    setAt(player1, 24, value(item 2 of line 1 of field "vars"))
    setAt(player1, 33, "P1" & pathDelimiter)
    setAt(player1, 12, 0)
  end if
  if getAt(thePlayers, 2) = 1 then
    setAt(player2, 16, item 1 of line 2 of field "vars")
    setAt(player2, 32, item 3 of line 2 of field "vars")
    setAt(player2, 25, item 4 of line 2 of field "vars")
    setAt(player2, 24, value(item 2 of line 2 of field "vars"))
    setAt(player2, 33, "P1" & pathDelimiter)
    setAt(player2, 12, 0)
  end if
  if getAt(thePlayers, 3) = 1 then
    setAt(player1, 16, item 1 of line 3 of field "vars")
    setAt(player1, 32, item 3 of line 3 of field "vars")
    setAt(player1, 25, item 4 of line 3 of field "vars")
    setAt(player1, 24, value(item 2 of line 3 of field "vars"))
    setAt(player1, 33, "P2" & pathDelimiter)
    setAt(player1, 12, 0)
  end if
  if getAt(thePlayers, 4) = 1 then
    setAt(player2, 16, item 1 of line 4 of field "vars")
    setAt(player2, 32, item 3 of line 4 of field "vars")
    setAt(player2, 25, item 4 of line 4 of field "vars")
    setAt(player2, 24, value(item 2 of line 4 of field "vars"))
    setAt(player2, 33, "P2" & pathDelimiter)
    setAt(player2, 12, 0)
  end if
  cleanUp()
end

on cleanUp
  global game
  set game to []
  repeat with X = 2 to 5
    puppetSprite(X, 0)
  end repeat
  repeat with X = 35 to 38
    puppetSprite(X, 0)
  end repeat
  go(7)
end

on bordersOn border1, border2
  global curSprite
  repeat with X = 35 to 38
    if (X = border1) or (X = border2) then
      set the visible of sprite X to 1
      next repeat
    end if
    if (X - 33) <> curSprite then
      set the visible of sprite X to 0
    end if
  end repeat
end

on bordersOff
  global curSprite
  repeat with X = 35 to 38
    if (X - 33) <> curSprite then
      set the visible of sprite X to 0
    end if
  end repeat
end

on arrowsOff
  set the visible of sprite 10 to 0
  set the visible of sprite 11 to 0
  set the visible of sprite 12 to 0
  set the visible of sprite 13 to 0
  set the visible of sprite 14 to 0
  set the visible of sprite 15 to 0
end

on clickIntro curClick
  global curSprite, durSprite, helpWin
  if (the frontWindow = the stage) or (the frontWindow = helpWin) then
    playSnd("click")
    repeat with X = 2 to 5
      set the volume of sprite X to 255
    end repeat
    if curSprite = curClick then
      if the machineType = 256 then
        set the mrate of sprite(curClick) to 0
        set the mtime of sprite(curClick) to 0
      else
        set the movieRate of sprite curClick to 0
        set the movieTime of sprite curClick to 0
      end if
      set curSprite to 0
      set the visible of sprite curClick to 0
    else
      set curSprite to curClick
      set durSprite to the duration of sprite(curSprite)
      if the machineType = 256 then
        set the mtime of sprite(curClick) to 0
        set the mrate of sprite(curSprite) to 1
      else
        set the movieTime of sprite curClick to 0
        set the movieRate of sprite curSprite to 1
      end if
      set the visible of sprite curSprite to 1
      repeat with X = 2 to 5
        if X <> curSprite then
          if the machineType = 256 then
            set the mrate of sprite(X) to 0
            set the mtime of sprite(X) to 0
          else
            set the movieRate of sprite X to 0
            set the movieTime of sprite X to 0
          end if
          set the visible of sprite X to 0
        end if
      end repeat
      bordersOff()
    end if
  end if
end

on loadGame
  set the keyDownScript to EMPTY
  set the visible of sprite 1 to 0
  puppetSprite(1, 0)
  go(the frame + 1)
end

on checkforKeyPress
  if the commandDown and ((the keyPressed = ".") or (the keyPressed = "q") or (the keyPressed = "Q")) then
    quitGame()
  else
    set the keyDownScript to EMPTY
    loadGame()
  end if
end
