on exitFrame
  global gSettings, HDPath, CDPath, DataPath, pathDelimiter, loopTest, gAboutOn
  set gAboutOn to 0
  set loopTest to 0
  set gSettings to []
  set driveLetter to EMPTY
  set HDPath to EMPTY
  set CDPath to EMPTY
  set DataPath to EMPTY
  cursor(200)
  set the windowList to []
  setAt(gSettings, 1, the soundLevel)
  setAt(gSettings, 5, the colorDepth)
  setAt(gSettings, 2, getAt(getAt(the deskTopRectList, 1), 3))
  setAt(gSettings, 3, getAt(getAt(the deskTopRectList, 1), 4))
  set the exitLock to 1
  hideMenu()
  set the volume of sound 1 to 100
  set the volume of sound 2 to 200
  if the platform = "Windows,16" then
    alert("This game requires Window 95/98 to play.")
    quit()
  end if
  if the machineType = 256 then
    set pathDelimiter to "\"
    set myCD to CheckDriveWin("id.rgs")
  else
    set pathDelimiter to ":"
    checkDriveMac("id.rgs")
  end if
  set myFile to new(xtra("fileio"))
  if the machineType = 256 then
    openFile(myFile, myCD & "\id.rgs", 1)
  else
    openFile(myFile, "RealGirls™ CD" & ":id.rgs", 1)
  end if
  set whichData to readFile(myFile)
  if charToNum(char length(whichData) of whichData) = 13 then
    delete char length(whichData) of whichData
  end if
  closeFile(myFile)
  if the machineType = 256 then
    set HDPath to the pathName & whichData & "\"
    set CDPath to myCD & "\" & whichData & "\"
    set DataPath to the pathName & "DATA" & "\"
  else
    set HDPath to the pathName & whichData & ":"
    set CDPath to "RealGirls™ CD:" & whichData & ":"
    set DataPath to the pathName & "DATA" & ":"
  end if
  set the fileName of castLib "DATASET" to HDPath & whichData
  if whichData <> "set1" then
    set myFile to new(xtra("fileio"))
    openFile(myFile, the pathName & "mod.rgs", 1)
    if status(myFile) <> 0 then
      set myFile to 0
      alert("You must install RealGirls™ Strip Poker to use this data CD.")
      quitGame()
    end if
  end if
  if the machineType <> 256 then
    if the quickTimePresent = 0 then
      alert("QuickTime 2.5 or above must be installed before playing this game.")
      quitGame()
    end if
  end if
  if the machineType = 256 then
    if QuickTimeVersion() < 3 then
      alert("QuickTime not detected.")
      quitGame()
    end if
  end if
  preloadMember("click")
  preloadMember("cursorDwnright")
  preloadMember("cursorTopleft")
  preloadMember("cursorTopright")
  preloadMember("cursorDwnleft")
  if the machineType = 256 then
    preLoadMovie(DataPath & "PROGS\mui1")
    preLoadMovie(DataPath & "PROGS\mui2")
  else
    preLoadMovie(DataPath & "progs:mui1")
    preLoadMovie(DataPath & "progs:mui2")
  end if
  if the machineType = 256 then
    new(#QuickTimeMedia, member 3)
    new(#QuickTimeMedia, member 4)
    new(#QuickTimeMedia, member 5)
    new(#QuickTimeMedia, member 6)
    new(#QuickTimeMedia, member 7)
    new(#QuickTimeMedia, member 8)
    new(#QuickTimeMedia, member 9)
  else
    new(#digitalVideo, member 3)
    new(#digitalVideo, member 4)
    new(#digitalVideo, member 5)
    new(#digitalVideo, member 6)
    new(#digitalVideo, member 7)
    new(#digitalVideo, member 8)
    new(#digitalVideo, member 9)
  end if
  updateStage()
  preloadMember("cursorDwnright")
  preloadMember("cursorTopleft")
  preloadMember("cursorTopright")
  preloadMember("cursorDwnleft")
end

on CheckDriveWin someFile
  repeat with i = 67 to 90
    set Drive to numToChar(i)
    set thisPath to string(Drive & ":\" & someFile)
    set myFile to new(xtra("fileio"))
    openFile(myFile, thisPath, 1)
    if status(myFile) = 0 then
      set myFile to 0
      return Drive & ":"
      exit
    end if
  end repeat
  set myFile to 0
  alert("Please check that the RealGirls CD is inserted in your CD drive.")
  quitGame()
end

on checkDriveMac someFile
  set myFile to new(xtra("fileio"))
  openFile(myFile, "RealGirls™ CD:" & someFile, 1)
  if status(myFile) <> 0 then
    set myFile to 0
    alert("Please check that the RealGirls™ CD is inserted in your CD drive.")
    quitGame()
  end if
end
