on enterFrame
  global doAgain, curSprite, prevSprite, gPullDown, g1, g2, g3, g4
  if doAgain = 1 then
    set prevSprite to 999
    set gPullDown to 0
    put "Choose player(s) by clicking on arrows." into field "introHelp"
    set the loc of sprite 34 to point(8, 459)
    set the member of sprite 1 to member "background-chooser" of castLib "DATASET"
    repeat with X = 35 to 38
      puppetSprite(X, 1)
    end repeat
    set the member of sprite 35 to member "rim-topleft-litup" of castLib "DATASET"
    set the member of sprite 36 to member "rim-topright-litup" of castLib "DATASET"
    set the member of sprite 37 to member "rim-dwnleft-litup" of castLib "DATASET"
    set the member of sprite 38 to member "rim-dwnright-litup" of castLib "DATASET"
    set the loc of sprite 1 to point(320, 240)
    set the blend of sprite 1 to 100
    set the ink of sprite 1 to 0
    set the visible of sprite 1 to 1
    repeat with X = 2 to 5
      puppetSprite(X, 1)
    end repeat
    repeat with X = 2 to 5
      set the loc of sprite X to point(-9999, -9999)
    end repeat
    repeat with X = 2 to 5
      set the visible of sprite X to 1
    end repeat
    set the member of sprite 2 to member 5
    set the member of sprite 3 to member 6
    set the member of sprite 4 to member 7
    set the member of sprite 5 to member 8
    repeat with X = 1 to 114
      set the visible of sprite X to 1
    end repeat
    updateStage()
    repeat with X = 2 to 5
      set the visible of sprite X to 0
    end repeat
    repeat with X = 35 to 38
      set the visible of sprite X to 0
    end repeat
    set the loc of sprite 35 to point(198, 144)
    set the loc of sprite 36 to point(442, 144)
    set the loc of sprite 37 to point(198, 372)
    set the loc of sprite 38 to point(442, 372)
    repeat with X = 10 to 15
      set the visible of sprite X to 0
    end repeat
    set the loc of sprite 10 to point(284, 231)
    set the loc of sprite 11 to point(321, 210)
    set the loc of sprite 12 to point(358, 231)
    set the loc of sprite 13 to point(284, 289)
    set the loc of sprite 14 to point(321, 309)
    set the loc of sprite 15 to point(358, 289)
    set curSprite to 0
    set the visible of sprite 11 to 0
    if the machineType = 256 then
      repeat with X = 2 to 5
        set the mrate of sprite(X) to 0
        set the mtime of sprite(X) to 0
      end repeat
    else
      repeat with X = 2 to 5
        set the movieRate of sprite X to 0
        set the movieTime of sprite X to 0
      end repeat
    end if
    if the machineType = 256 then
      set the hotspot of member "cursorDwnright" to point(16, 16)
      set the hotspot of member "cursorDwnleft" to point(16, 16)
      set the hotspot of member "cursorTopright" to point(16, 16)
      set the hotspot of member "cursorTopleft" to point(16, 16)
    end if
    set the loc of sprite 2 to point(118 + 80, 75 + 60)
    set the loc of sprite 3 to point(362 + 80, 75 + 60)
    set the loc of sprite 4 to point(118 + 80, 323 + 60)
    set the loc of sprite 5 to point(362 + 80, 323 + 60)
    cursor(-1)
    set g1 to item 1 of line 1 of field "vars"
    set g2 to item 1 of line 2 of field "vars"
    set g3 to item 1 of line 3 of field "vars"
    set g4 to item 1 of line 4 of field "vars"
    set doAgain to 0
  end if
end

on exitFrame
  global durSprite, curSprite, prevSprite, gPullDown, aboutWin, helpWin, hiddenWin, doAgain, gPauseState, g1, g2, g3, g4
  if gPauseState = 0 then
    set mouseLoc to ((getAt(gSettings, 3) - 480) / 2) + the mouseV
    if (mouseLoc < 21) and ((the frontWindow <> aboutWin) and (the frontWindow <> hiddenWin)) then
      if gPullDown = 0 then
        showMenu(0)
        set gPullDown to 1
      end if
    else
      if gPullDown = 1 then
        hideMenu()
        set gPullDown to 0
      end if
    end if
    set curLoc to the rollOver
    if (curLoc <> prevSprite) and ((the frontWindow = the stage) or (the frontWindow = helpWin)) then
      set prevSprite to curLoc
      case curLoc of
        39, 49:
          cursor([40, 41])
          put "Click to hear " & g1 & " speak." into field "introHelp"
          bordersOn(35, 0)
          arrowsOff()
        40, 50:
          cursor([40, 41])
          put "Click to hear " & g2 & " speak." into field "introHelp"
          bordersOn(36, 0)
          arrowsOff()
        41, 51:
          cursor([40, 41])
          put "Click to hear " & g3 & " speak." into field "introHelp"
          bordersOn(37, 0)
          arrowsOff()
        42, 52:
          cursor([40, 41])
          put "Click to hear " & g4 & " speak." into field "introHelp"
          bordersOn(38, 0)
          arrowsOff()
        45:
          cursor([40, 41])
          set the visible of sprite 10 to 1
          set the visible of sprite 11 to 0
          set the visible of sprite 12 to 0
          set the visible of sprite 13 to 0
          set the visible of sprite 14 to 0
          set the visible of sprite 15 to 0
          put "Click to play with " & g1 & "." into field "introHelp"
          bordersOn(35, 0)
        43:
          cursor([40, 41])
          set the visible of sprite 10 to 0
          set the visible of sprite 11 to 1
          set the visible of sprite 12 to 0
          set the visible of sprite 13 to 0
          set the visible of sprite 14 to 0
          set the visible of sprite 15 to 0
          put "Click to play with " & g1 & " and " & g2 & "." into field "introHelp"
          bordersOn(35, 36)
        46:
          cursor([40, 41])
          set the visible of sprite 10 to 0
          set the visible of sprite 11 to 0
          set the visible of sprite 12 to 1
          set the visible of sprite 13 to 0
          set the visible of sprite 14 to 0
          set the visible of sprite 15 to 0
          put "Click to play with " & g2 & "." into field "introHelp"
          bordersOn(36, 0)
        47:
          cursor([40, 41])
          set the visible of sprite 10 to 0
          set the visible of sprite 11 to 0
          set the visible of sprite 12 to 0
          set the visible of sprite 13 to 1
          set the visible of sprite 14 to 0
          set the visible of sprite 15 to 0
          put "Click to play with " & g3 & "." into field "introHelp"
          bordersOn(37, 0)
        44:
          cursor([40, 41])
          set the visible of sprite 10 to 0
          set the visible of sprite 11 to 0
          set the visible of sprite 12 to 0
          set the visible of sprite 13 to 0
          set the visible of sprite 14 to 1
          set the visible of sprite 15 to 0
          put "Click to play with " & g3 & " and " & g4 & "." into field "introHelp"
          bordersOn(37, 38)
        48:
          cursor([40, 41])
          set the visible of sprite 10 to 0
          set the visible of sprite 11 to 0
          set the visible of sprite 12 to 0
          set the visible of sprite 13 to 0
          set the visible of sprite 14 to 0
          set the visible of sprite 15 to 1
          put "Click to play with " & g4 & "." into field "introHelp"
          bordersOn(38, 0)
        otherwise:
          cursor(-1)
          bordersOff()
          arrowsOff()
          put "Choose player(s) by clicking on arrows." into field "introHelp"
      end case
    end if
    if curSprite then
      if the machineType = 256 then
        if the mtime of sprite(curSprite) = durSprite then
          set the mrate of sprite(curSprite) to 0
          set the mtime of sprite(curSprite) to 0
          set the visible of sprite curSprite to 0
          set curSprite to 0
          set prevSprite to 0
        end if
      else
        if the movieTime of sprite curSprite = durSprite then
          set the movieRate of sprite curSprite to 0
          set the movieTime of sprite curSprite to 0
          set the visible of sprite curSprite to 0
          set curSprite to 0
          set prevSprite to 0
        end if
      end if
    end if
    go(the frame)
  else
    go(the frame)
  end if
end

on keyDown
  if the commandDown then
    processKey(the keyPressed)
  else
    if the keyCode = 122 then
      showHelp()
    end if
  end if
end
